%global gittag 6.2.1RC1

Name:      eclipse-mdt-ocl
Version:   6.2.1
Release:   1%{?dist}
Summary:   Implementation of the OCL OMG meta-model for Eclipse
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/ocl

Source0:   http://git.eclipse.org/c/ocl/org.eclipse.ocl.git/snapshot/org.eclipse.ocl-%{gittag}.tar.xz

BuildArch:        noarch

BuildRequires:    tycho
BuildRequires:    eclipse-license
BuildRequires:    eclipse-emf-runtime
BuildRequires:    eclipse-mdt-uml2 >= 5.0.0
BuildRequires:    lpg-java >= 2.0.17

%description
OCL is an implementation of the Object Constraint Language (OCL) OMG standard
for EMF-based models. The objectives of the OCL component are to provide APIs
for parsing and evaluating OCL constraints and queries on EMF models, an Ecore
implementation of the OCL abstract syntax model, including support for
serialization of parsed OCL expressions, a Visitor API for analyzing/
transforming the AST model of OCL expressions and an extensibility API for
clients to customize the parsing and evaluation environments used by the
parser.

%prep
%setup -q -n org.eclipse.ocl-%{gittag}

# remove stuff we're not building
rm -rf archive/ examples/ tests/ doc/ releng/ \
  features/*examples* features/*{tests,doc,sdk}-feature \

# generate poms
xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=org.eclipse.ocl -Dversion=%{version}
find */*-feature -name pom.xml -exec sed -i -e 's/^  <groupId>\(.*\)</  <groupId>\1.features</' {} \;

# don't build master feature
%pom_disable_module features/org.eclipse.ocl.master-feature
%pom_disable_module plugins/org.eclipse.ocl.master

# don't build stuff that requires xtext
%pom_disable_module features/org.eclipse.ocl.unified.core-feature
%pom_disable_module features/org.eclipse.ocl.unified.ui-feature
%pom_disable_module plugins/org.eclipse.ocl.pivot
%pom_disable_module plugins/org.eclipse.ocl.pivot.ui
%pom_disable_module plugins/org.eclipse.ocl.pivot.uml
for b in $(ls plugins/ | grep xtext) ; do
  %pom_disable_module plugins/$b
done

# don't build stuff that shouldn't be shipped
%pom_disable_module plugins/org.eclipse.ocl.capabilities

# don't install poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j -- -DforceContextQualifier=$(date -u +v%Y%m%d-%H00)

%install
%mvn_install

%files -f .mfiles
%license plugins/org.eclipse.ocl/about.html

%changelog
* Tue Oct 04 2016 Mat Booth <mat.booth@redhat.com> - 6.2.1-1
- Update to Neon.1 release

* Mon Jul 11 2016 Mat Booth <mat.booth@redhat.com> - 6.1.0-1
- Update to latest release

* Mon Apr 25 2016 Mat Booth <mat.booth@redhat.com> - 6.0.2-2
- Build/install with tycho/xmvn

* Wed Mar 09 2016 Mat Booth <mat.booth@redhat.com> - 6.0.2-1
- Update to Mars.2 release.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 06 2015 Mat Booth <mat.booth@redhat.com> - 6.0.1-1
- Update to Mars.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 Mat Booth <mat.booth@redhat.com> - 5.0.4-2
- Fix context qualifiers

* Tue Apr 07 2015 Mat Booth <mat.booth@redhat.com> - 5.0.4-1
- Update to latest upstream release

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 5.0.2-2
- Adapt to eclipse-emf-runtime dropins dir change.

* Thu Oct 02 2014 Mat Booth <mat.booth@redhat.com> - 5.0.2-1
- Update to latest upstream release
- Drop no longer needed patch, BR eclipse-license

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 4.0.2-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-2
- No longer necessary to specify icu4j as a dependency.

* Tue Feb 26 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-1
- Update to latest upstream.
- Fix FTBFS rhbz #913956.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Mat Booth <fedora@matbooth.co.uk> - 4.0.0-1
- Update to latest version.
- Adapt newer packaging guidelines.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.0.0-1
- Update to Helios release.
- Fixes RHBZ #631406.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-2
- Use build-classpath when symlinking to dependent bundles.
- Don't pretty-print the package description.

* Sun Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-1
- New OCL spec file based on eclipse-gef.
